<?php
$tdatavoted_b_01_chart = array();
$tdatavoted_b_01_chart[".searchableFields"] = array();
$tdatavoted_b_01_chart[".ShortName"] = "voted_b_01_chart";
$tdatavoted_b_01_chart[".OwnerID"] = "";
$tdatavoted_b_01_chart[".OriginalTable"] = "voted_b_01";


$tdatavoted_b_01_chart[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdatavoted_b_01_chart[".originalPagesByType"] = $tdatavoted_b_01_chart[".pagesByType"];
$tdatavoted_b_01_chart[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdatavoted_b_01_chart[".originalPages"] = $tdatavoted_b_01_chart[".pages"];
$tdatavoted_b_01_chart[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdatavoted_b_01_chart[".originalDefaultPages"] = $tdatavoted_b_01_chart[".defaultPages"];

//	field labels
$fieldLabelsvoted_b_01_chart = array();
$fieldToolTipsvoted_b_01_chart = array();
$pageTitlesvoted_b_01_chart = array();
$placeHoldersvoted_b_01_chart = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsvoted_b_01_chart["English"] = array();
	$fieldToolTipsvoted_b_01_chart["English"] = array();
	$placeHoldersvoted_b_01_chart["English"] = array();
	$pageTitlesvoted_b_01_chart["English"] = array();
	$fieldLabelsvoted_b_01_chart["English"]["region"] = "Region";
	$fieldToolTipsvoted_b_01_chart["English"]["region"] = "";
	$placeHoldersvoted_b_01_chart["English"]["region"] = "";
	$fieldLabelsvoted_b_01_chart["English"]["numRegion"] = "Num Region";
	$fieldToolTipsvoted_b_01_chart["English"]["numRegion"] = "";
	$placeHoldersvoted_b_01_chart["English"]["numRegion"] = "";
	$fieldLabelsvoted_b_01_chart["English"]["voteWith"] = "Vote With";
	$fieldToolTipsvoted_b_01_chart["English"]["voteWith"] = "";
	$placeHoldersvoted_b_01_chart["English"]["voteWith"] = "";
	$fieldLabelsvoted_b_01_chart["English"]["CountOfnumPers"] = "Count Ofnum Pers";
	$fieldToolTipsvoted_b_01_chart["English"]["CountOfnumPers"] = "";
	$placeHoldersvoted_b_01_chart["English"]["CountOfnumPers"] = "";
	if (count($fieldToolTipsvoted_b_01_chart["English"]))
		$tdatavoted_b_01_chart[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsvoted_b_01_chart["Arabic"] = array();
	$fieldToolTipsvoted_b_01_chart["Arabic"] = array();
	$placeHoldersvoted_b_01_chart["Arabic"] = array();
	$pageTitlesvoted_b_01_chart["Arabic"] = array();
	$fieldLabelsvoted_b_01_chart["Arabic"]["region"] = "Region";
	$fieldToolTipsvoted_b_01_chart["Arabic"]["region"] = "";
	$placeHoldersvoted_b_01_chart["Arabic"]["region"] = "";
	$fieldLabelsvoted_b_01_chart["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsvoted_b_01_chart["Arabic"]["numRegion"] = "";
	$placeHoldersvoted_b_01_chart["Arabic"]["numRegion"] = "";
	$fieldLabelsvoted_b_01_chart["Arabic"]["voteWith"] = "Vote With";
	$fieldToolTipsvoted_b_01_chart["Arabic"]["voteWith"] = "";
	$placeHoldersvoted_b_01_chart["Arabic"]["voteWith"] = "";
	$fieldLabelsvoted_b_01_chart["Arabic"]["CountOfnumPers"] = "Count Ofnum Pers";
	$fieldToolTipsvoted_b_01_chart["Arabic"]["CountOfnumPers"] = "";
	$placeHoldersvoted_b_01_chart["Arabic"]["CountOfnumPers"] = "";
	if (count($fieldToolTipsvoted_b_01_chart["Arabic"]))
		$tdatavoted_b_01_chart[".isUseToolTips"] = true;
}


	$tdatavoted_b_01_chart[".NCSearch"] = true;

	$tdatavoted_b_01_chart[".ChartRefreshTime"] = 0;


$tdatavoted_b_01_chart[".shortTableName"] = "voted_b_01_chart";
$tdatavoted_b_01_chart[".nSecOptions"] = 0;

$tdatavoted_b_01_chart[".mainTableOwnerID"] = "";
$tdatavoted_b_01_chart[".entityType"] = 3;
$tdatavoted_b_01_chart[".connId"] = "electiondb_at_ssl_localhost";


$tdatavoted_b_01_chart[".strOriginalTableName"] = "voted_b_01";

	



$tdatavoted_b_01_chart[".showAddInPopup"] = false;

$tdatavoted_b_01_chart[".showEditInPopup"] = false;

$tdatavoted_b_01_chart[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatavoted_b_01_chart[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatavoted_b_01_chart[".listAjax"] = false;
//	temporary
$tdatavoted_b_01_chart[".listAjax"] = false;

	$tdatavoted_b_01_chart[".audit"] = false;

	$tdatavoted_b_01_chart[".locking"] = false;


$pages = $tdatavoted_b_01_chart[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatavoted_b_01_chart[".edit"] = true;
	$tdatavoted_b_01_chart[".afterEditAction"] = 1;
	$tdatavoted_b_01_chart[".closePopupAfterEdit"] = 1;
	$tdatavoted_b_01_chart[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatavoted_b_01_chart[".add"] = true;
$tdatavoted_b_01_chart[".afterAddAction"] = 1;
$tdatavoted_b_01_chart[".closePopupAfterAdd"] = 1;
$tdatavoted_b_01_chart[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatavoted_b_01_chart[".list"] = true;
}



$tdatavoted_b_01_chart[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatavoted_b_01_chart[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatavoted_b_01_chart[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatavoted_b_01_chart[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatavoted_b_01_chart[".printFriendly"] = true;
}



$tdatavoted_b_01_chart[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatavoted_b_01_chart[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatavoted_b_01_chart[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatavoted_b_01_chart[".isUseAjaxSuggest"] = true;






$tdatavoted_b_01_chart[".ajaxCodeSnippetAdded"] = false;

$tdatavoted_b_01_chart[".buttonsAdded"] = false;

$tdatavoted_b_01_chart[".addPageEvents"] = false;

// use timepicker for search panel
$tdatavoted_b_01_chart[".isUseTimeForSearch"] = false;


$tdatavoted_b_01_chart[".badgeColor"] = "EDCA00";


$tdatavoted_b_01_chart[".allSearchFields"] = array();
$tdatavoted_b_01_chart[".filterFields"] = array();
$tdatavoted_b_01_chart[".requiredSearchFields"] = array();

$tdatavoted_b_01_chart[".googleLikeFields"] = array();
$tdatavoted_b_01_chart[".googleLikeFields"][] = "region";
$tdatavoted_b_01_chart[".googleLikeFields"][] = "numRegion";
$tdatavoted_b_01_chart[".googleLikeFields"][] = "voteWith";
$tdatavoted_b_01_chart[".googleLikeFields"][] = "CountOfnumPers";



$tdatavoted_b_01_chart[".tableType"] = "chart";

$tdatavoted_b_01_chart[".printerPageOrientation"] = 0;
$tdatavoted_b_01_chart[".nPrinterPageScale"] = 100;

$tdatavoted_b_01_chart[".nPrinterSplitRecords"] = 40;

$tdatavoted_b_01_chart[".geocodingEnabled"] = false;



// chart settings
$tdatavoted_b_01_chart[".chartType"] = "Combined";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatavoted_b_01_chart[".strOrderBy"] = $tstrOrderBy;

$tdatavoted_b_01_chart[".orderindexes"] = array();


$tdatavoted_b_01_chart[".sqlHead"] = "SELECT region,  	numRegion,  	voteWith,  	CountOfnumPers";
$tdatavoted_b_01_chart[".sqlFrom"] = "FROM voted_b_01";
$tdatavoted_b_01_chart[".sqlWhereExpr"] = "";
$tdatavoted_b_01_chart[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatavoted_b_01_chart[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatavoted_b_01_chart[".arrGroupsPerPage"] = $arrGPP;

$tdatavoted_b_01_chart[".highlightSearchResults"] = true;

$tableKeysvoted_b_01_chart = array();
$tdatavoted_b_01_chart[".Keys"] = $tableKeysvoted_b_01_chart;


$tdatavoted_b_01_chart[".hideMobileList"] = array();




//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01_Chart","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01_chart["region"] = $fdata;
		$tdatavoted_b_01_chart[".searchableFields"][] = "region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01_Chart","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01_chart["numRegion"] = $fdata;
		$tdatavoted_b_01_chart[".searchableFields"][] = "numRegion";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01_Chart","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01_chart["voteWith"] = $fdata;
		$tdatavoted_b_01_chart[".searchableFields"][] = "voteWith";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "voted_b_01";
	$fdata["Label"] = GetFieldLabel("voted_b_01_Chart","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavoted_b_01_chart["CountOfnumPers"] = $fdata;
		$tdatavoted_b_01_chart[".searchableFields"][] = "CountOfnumPers";

$tdatavoted_b_01_chart[".groupChart"] = true;
$tdatavoted_b_01_chart[".chartLabelInterval"] = 0;
$tdatavoted_b_01_chart[".chartLabelField"] = "voteWith";
$tdatavoted_b_01_chart[".chartSeries"] = array();
$tdatavoted_b_01_chart[".chartSeries"][] = array( 
	"field" => "numRegion",
	"total" => "SUM"
);
$tdatavoted_b_01_chart[".chartSeries"][] = array( 
	"field" => "CountOfnumPers",
	"total" => "SUM"
);
	$tdatavoted_b_01_chart[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">voted_b_01 Chart</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">combined</attr>
		</attr>

		<attr value="parameters">';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="0">
			<attr value="name">numRegion</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="1">
			<attr value="name">CountOfnumPers</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="2">
		<attr value="name">voteWith</attr>
	</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="head">'.xmlencode("voted_b_01 Chart").'</attr>
<attr value="foot">'.xmlencode("Legend Title").'</attr>
<attr value="y_axis_label">'.xmlencode("numRegion").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">false</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdatavoted_b_01_chart[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="0">
		<attr value="name">region</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("voted_b_01_Chart","region")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="1">
		<attr value="name">numRegion</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("voted_b_01_Chart","numRegion")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="2">
		<attr value="name">voteWith</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("voted_b_01_Chart","voteWith")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatavoted_b_01_chart[".chartXml"] .= '<attr value="3">
		<attr value="name">CountOfnumPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("voted_b_01_Chart","CountOfnumPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdatavoted_b_01_chart[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">voted_b_01 Chart</attr>
<attr value="short_table_name">voted_b_01_chart</attr>
</attr>

</chart>';

$tables_data["voted_b_01 Chart"]=&$tdatavoted_b_01_chart;
$field_labels["voted_b_01_Chart"] = &$fieldLabelsvoted_b_01_chart;
$fieldToolTips["voted_b_01_Chart"] = &$fieldToolTipsvoted_b_01_chart;
$placeHolders["voted_b_01_Chart"] = &$placeHoldersvoted_b_01_chart;
$page_titles["voted_b_01_Chart"] = &$pageTitlesvoted_b_01_chart;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["voted_b_01 Chart"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["voted_b_01 Chart"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_voted_b_01_chart()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "region,  	numRegion,  	voteWith,  	CountOfnumPers";
$proto0["m_strFrom"] = "FROM voted_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01 Chart"
));

$proto6["m_sql"] = "region";
$proto6["m_srcTableName"] = "voted_b_01 Chart";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01 Chart"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "voted_b_01 Chart";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01 Chart"
));

$proto10["m_sql"] = "voteWith";
$proto10["m_srcTableName"] = "voted_b_01 Chart";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "voted_b_01",
	"m_srcTableName" => "voted_b_01 Chart"
));

$proto12["m_sql"] = "CountOfnumPers";
$proto12["m_srcTableName"] = "voted_b_01 Chart";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "voted_b_01";
$proto15["m_srcTableName"] = "voted_b_01 Chart";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "region";
$proto15["m_columns"][] = "numRegion";
$proto15["m_columns"][] = "voteWith";
$proto15["m_columns"][] = "CountOfnumPers";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "voted_b_01";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "voted_b_01 Chart";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="voted_b_01 Chart";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_voted_b_01_chart = createSqlQuery_voted_b_01_chart();


	
		;

				

$tdatavoted_b_01_chart[".sqlquery"] = $queryData_voted_b_01_chart;



$tableEvents["voted_b_01 Chart"] = new eventsBase;
$tdatavoted_b_01_chart[".hasEvents"] = false;

?>